EnumerationType (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.EnumerationType interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface EnumerationType

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface EnumerationType

extends CmdbMeta

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  ENUMMETA

Method Summary
`java.lang.String` | `getName()`
`EnumerationValue[]` | `getValues()`
`boolean` | `hasName()`
`boolean` | `hasValues()`
`void` | `setName(java.lang.String s)`
`void` | `setValues(EnumerationValue[] values)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getValues

    EnumerationValue[] getValues()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    ENUM_ENUMVALUE
  Containment Relationship:
    true

### setValues

    void setValues(EnumerationValue[] values)

### hasValues

    boolean hasValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD